#ifndef TMSCREENSHOT_H
#define TMSCREENSHOT_H

#include <RQ_OBJECT.h>
#include <TGFrame.h>
#include <TGButtonGroup.h>
#include <TGTextEntry.h>
#include <TGLabel.h>

class TMScreenShot : public TGTransientFrame {
    
  RQ_OBJECT("TMScreenShot")

  public:
    
  TMScreenShot(const TGWindow* p, const TGWindow *main, Int_t sendID, ULong_t runNb, const Char_t *windowName);
  virtual ~TMScreenShot();
  virtual void CloseWindow();
  virtual void MakeAssignment();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
		
  private:
  
  const TGWindow        *fSPD;
  TGGroupFrame          *fTop;
  TGCompositeFrame	*fF[3];
  TGTextEntry		*fTextLocal;
  TGLayoutHints		*fLayout, *fLayout2, *fLayout3, *fLayout4, *fLayout5;
  TGLabel		*fLabel;
  TGTextButton          *fTextB[3];
  Bool_t                fLetUserCloseWindow;
  Int_t                 fSendID;

  enum EEvents {
    TEXT_VAL2,
    BUTTON_APPLY,
    BUTTON_CANCEL,
    BUTTON_HELP,
    LABEL_LOCAL
  };

  ClassDef(TMScreenShot, 1);
};

#endif
